bvgpd {POT} | R Documentation

## Parametric Bivariate GPD

### Description

Density, distribution function and random generation for six different parametric bivariate GPD

### Usage

    rbvgpd(n, alpha, model = "log", asCoef, asCoef1, asCoef2, mar1 =
    c(0,1,0), mar2 = mar1)
    pbvgpd(q, alpha, model = "log", asCoef, asCoef1, asCoef2, mar1 =
    c(0,1,0), mar2 = mar1, lower.tail = TRUE)

### Arguments

`n` | The number of observations to be simulated.
`q` | A matrix or vector with two columns at which the distribution is computed.
`alpha` | Dependence parameter for the logistic, asymmetric logistic, negative logistic, asymmetric negative logistic, mixed and asymmetric mixed models.
`model` | The specified model; a character string. Must be either `"log"` (the default), `"alog"`, `"nlog"`, `"anlog"`, `"mix"` or `"amix"`, for the logistic, asymmetric logistic, negative logistic, asymmetric negative logistic, mixed and asymmetric mixed models respectively.
`asCoef,asCoef1,asCoef2` | The asymmetric coefficients for the asymmetric logistic, asymmetric negative logistic and asymmetric mixed models.
`mar1,mar2` | Vectors of length 3 giving the marginal parameters.
`lower.tail` | Logical. If `TRUE` (the default), P[X <= x] is computed, else P[X >= x].

### Details

The logistic and asymmetric logistic models respectively are simulated using bivariate versions of Algorithms 1.1 and 1.2 in Stephenson(2003). All other models are simulated using a root finding algorithm to simulate from the conditional distributions.

### Value

Generate a random vector of length `n`.

### Author(s)

Mathieu Ribatet (Alec Stephenson for the C codes)

### References

Stephenson, A. G. (2003) Simulating multivariate extreme value distributions of logistic type. Extremes, 6(1), 49–60.

### Examples

    x <- rbvgpd(1000, alpha = 0.25, model = "log", mar1 = c(0,1,0.25), mar2
    = c(2,0.5, -0.15))
    y <- rbvgpd(1000, alpha = 0.75, model = "nlog", mar1 = c(0,1,0.25), mar2
    = c(2,0.5, -0.15))
    par(mfrow=c(1,2))
    plot(x);plot(y)

[Package POT version 1.1-7 Index]